package com.ruoyi.predict.service.impl;

import com.ruoyi.predict.domain.WfDaEfPara;
import com.ruoyi.predict.mapper.WfDaEfParaMapper;
import com.ruoyi.predict.service.IWfDaEfParaService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * WfDaEfParaService业务层处理
 *
 * @author hlf
 * @date 2021-08-11
 */
@Service
public class WfDaEfParaServiceImpl implements IWfDaEfParaService {
    @Autowired(required = false)
    private WfDaEfParaMapper wfDaEfParaMapper;

    /**
     * 查询WfDaEfPara
     *
     * @param windplantNo WfDaEfParaID
     * @return WfDaEfPara
     */
    @Override
    public WfDaEfPara selectWfDaEfParaById(Long windplantNo, Long modelNo)
    {
        return wfDaEfParaMapper.selectWfDaEfParaById(windplantNo, modelNo);
    }

    /**
     * 查询WfDaEfPara列表
     *
     * @param wfDaEfPara WfDaEfPara
     * @return WfDaEfPara
     */
    @Override
    public List<WfDaEfPara> selectWfDaEfParaList(WfDaEfPara wfDaEfPara)
    {
        return wfDaEfParaMapper.selectWfDaEfParaList(wfDaEfPara);
    }

    /**
     * 新增WfDaEfPara
     *
     * @param wfDaEfPara WfDaEfPara
     * @return 结果
     */
    @Override
    public int insertWfDaEfPara(WfDaEfPara wfDaEfPara)
    {
        return wfDaEfParaMapper.insertWfDaEfPara(wfDaEfPara);
    }

    /**
     * 修改WfDaEfPara
     *
     * @param wfDaEfPara WfDaEfPara
     * @return 结果
     */
    @Override
    public int updateWfDaEfPara(WfDaEfPara wfDaEfPara)
    {
        return wfDaEfParaMapper.updateWfDaEfPara(wfDaEfPara);
    }

    /**
     * 删除WfDaEfPara信息
     *
     * @param windplantNo WfDaEfParaID
     * @return 结果
     */
    @Override
    public int deleteWfDaEfParaById(Long windplantNo, Long modelNo)
    {
        return wfDaEfParaMapper.deleteWfDaEfParaById(windplantNo, modelNo);
    }
}
